JS Зум фотографий

Тема в разделе "JavaScript", создана пользователем Platton, 21 июл 2014.

Модераторы: ZiX
  1. Platton

    Platton Постоялец

    Регистр.:
    10 май 2014
    Сообщения:
    77
    Симпатии:
    18
    Столкнулся с проблемой. Делаю новый шаблон для сайта. В инете нашел JS который увеличивает картинку при наведении на не курсора. Питаюсь прикрутить этот скрипт для своего шаблона.

    Это Zoom JS требует подключение библиотеки jquery-1.6, для моего шаблона и cms используется jquery-1.8.3.min.

    Когда я удаляю файл jquery-1.8.3.min.js и подключаю jquery-1.6.js то зум прекрасно работает, но при этом не работают остальные функции шаблона. А когда подключены оба файла (jquery-1.6.js и jquery-1.8.3.min.js), тогда зум не работает :(

    Вот сам скрипт Zoom и отдельно файл jquery-1.8.3.min.js:
    - http://rghost.ru/57020393
    - http://rghost.ru/57020418

    Прошу помочь специалистов в JS
     
  2. Darkness

    Darkness Постоялец

    Регистр.:
    21 янв 2013
    Сообщения:
    146
    Симпатии:
    69
    Проверил на демках, скрипт работает нормально и совместим с jQuery 1.8.3, попробуй подключить только jQuery 1.8.3 без 1.6, скорее всего конфликт двух библ или дай ссылку на сайт с ошибкой.
     
    Platton нравится это.
  3. SteelRat

    SteelRat Постоялец

    Регистр.:
    12 апр 2007
    Сообщения:
    57
    Симпатии:
    9
    Скорее всего конфликт переинициализации jquery (второй подключаешь методы ранее на первый прицепленные отваливаются).